<!DOCTYPE html>
<html>
<head>
	<title>Simon</title>
	<link rel="stylesheet" type="text/css" href="simon.css">		
</head>
<body>
	<nav>
		<p>Simon Game</p>
	</nav>
	<main>
		<p id="rd"></p>
		<section class="facile" id="facile">
			<button class="a color" id="btn1"></button>
			<button class="b color" id="btn2"></button>
			<button class="c color" id="btn3"></button>
			<button class="d color" id="btn4"></button>
		</section>
		<section class="moyen" id="moyen">
			<button class="a color" id="bt1"></button>
			<button class="e color" id="bt2"></button>
			<button class="b color" id="bt3"></button>
			<button class="c color" id="bt4"></button>
			<button class="f color" id="bt5"></button>
			<button class="d color" id="bt6"></button>
		</section>
		<section class="dur" id="dur">
			<button class="a color" id="b1"></button>
			<button class="f color" id="b2"></button>
			<button class="b color" id="b3"></button>
			<button class="e color" id="b4"></button>
			<button class="g color" id="b5"></button>
			<button class="h color" id="b6"></button>
			<button class="c color" id="b7"></button>
			<button class="i color" id="b8"></button>
			<button class="d color" id="b9"></button>
		</section>
		<p id="result"></p>
	</main>
		<section class="trois">
			<button class="start" id="ss">Start</button>
			<button class="start" id="sf">Facile</button>
			<button class="start" id="sm">Moyen</button>
			<button class="start" id="sd">Dur</button>
		</section>
	<script type="text/javascript">
		

		var round = 0;
		var sequence = [];	
		var courant = 0;

		var boutons = [document.getElementById("btn1"), document.getElementById("btn2"), document.getElementById("btn3"), document.getElementById("btn4")];

		var moy = [document.getElementById("bt1"), document.getElementById("bt2"),document.getElementById("bt3"), document.getElementById("bt4"), document.getElementById("bt5"), document.getElementById("bt6")];

		var dur = [document.getElementById("b1"), document.getElementById("b2"),document.getElementById("b3"), document.getElementById("b4"),document.getElementById("b5"), document.getElementById("b6"),document.getElementById("b7"), document.getElementById("b8"), document.getElementById("b9")];

		document.getElementById("facile").style.display="inherit";
		document.getElementById("moyen").style.display="none";
		document.getElementById("dur").style.display="none";

		document.getElementById("sf").addEventListener("click", facile);
		document.getElementById("sm").addEventListener("click", moyen);
		document.getElementById("sd").addEventListener("click", dur);
		document.getElementById("ss").addEventListener("click", allumer);
		document.getElementById("result").innerHTML = "Choisis ton niveau de difficulté";
		document.getElementById("rd").innerHTML = "Round "+round+"";
		

		function facile() {
			document.getElementById("facile").style.display="inherit";
			document.getElementById("moyen").style.display="none";
			document.getElementById("dur").style.display="none";

				// 0 : initialisation
				for (var i = 0; i < 4; i++) {
				sequence.push(boutons[Math.floor(Math.random() * 4)]);
			}
		}

		function moyen() {
			document.getElementById("facile").style.display="none";
			document.getElementById("moyen").style.display="inherit";
			document.getElementById("dur").style.display="none";

				// 0 : initialisation
				for (var i = 0; i < 4; i++) {
				sequence.push(moy[Math.floor(Math.random() * 4)]);
			}

		}

		function dur() {
			document.getElementById("facile").style.display="none";
			document.getElementById("moyen").style.display="none";
			document.getElementById("dur").style.display="inherit";

				// 0 : initialisation
				for (var i = 0; i < 4; i++) {
				sequence.push(dur[Math.floor(Math.random() * 4)]);
			}

		}

		

			
		
		// 1 : montrer au joueur les boutons choisis
		
		function allumer() {
			
			//document.getElementById("result").innerHTML = "Mémorise la séquence !";
			function eteindre(bouton_a_eteindre) {
				bouton_a_eteindre.classList.remove('actif');
			}

			// allumer le bouton
			sequence[courant].classList.add('actif');

			// différer l'extinction de 600ms
			setTimeout(eteindre, 600, sequence[courant]);

			// différer l'allumage du bouton suivant dans 700ms
			courant++;
			if (courant < sequence.length) {
				setTimeout(allumer, 700);
			} else {
				// quand la sequence est fini, on laisse le joueur jouer
			tourJoueur();
		}
	}
		function tourJoueur() {
			console.log("A vous !");
			courant = 0;

			// au bout de cinq secondes, gameover
			var to = setTimeout(gameover, 5000);

			// écoutons les clics
			for (var i = 0; i < boutons.length; i++) {
				boutons[i].addEventListener("click", verif);
			}

			function gameover() {
				// ne pas oublier de retirer les écouteurs de clic
				console.log('Temps écoulé');
				for (var i = 0; i < boutons.length; i++) {
					boutons[i].removeEventListener("click", verif);
				}
			}

			// comparer avec la séquence
			function verif() {
				// dans tous les cas, on retire le timeout qui lance le gameover à 5s
				clearTimeout(to);
				// this désigne le bouton cliqué
				if (this != sequence[courant]) {
					// perdu
					sequence = [];
					courant = 0;
					document.getElementById("result").innerHTML = "Perdu !";

					// on retire les listeners
					for (var i = 0; i < boutons.length; i++) {
						boutons[i].removeEventListener("click", verif);
					}
				} else {
					// bon bouton
					courant++;
					if (courant < sequence.length) {
						// s'il reste des boutons à cliquer, c'est tout ce qu'il y a à faire, les boutons continuent d'écouter, le tour du joueur continue
						to = setTimeout(gameover, 5000);
					} else {
						// round gagné
						// on ajoute un bouton à la séquence
						sequence.push(boutons[Math.floor(Math.random()*4)]);
						courant = 0;
						setTimeout(allumer, 300);
						// on retire les listeners, c'est à l'ordinateur de montrer la séquence
						for (var i = 0; i < boutons.length; i++) {
							boutons[i].removeEventListener("click", verif);
						}
					}
				}
			}
			// si c'est tout bon, nouveau round
		}

		


	</script>
</body>
</html>